Subject: Re: Alubook 5,8: No sound with 2.6.17-rc3-g5528e568-dirty

From: Johannes Berg <[email-masked]>
Date: Thu, 11 May 2006 13:58:22 +0200

On Thu, 2006-05-11 at 09:47 +1000, Benjamin Herrenschmidt wrote:

> Same as mine, it works fine with snd-aoa

I should build a database with a machine string -> user* mapping... This
means that even my brother has this one and it works great with snd-aoa
as far as I know :)

Though, since the alsa userspace libs absolutely *SUCK* no program I
know of can properly represent the mixer controls except maybe amixer...
I'd hate to work around this in the kernel, but the alsa libs are such
complex beasts that I have a feeling they won't be fixed.

Anyone up to inventing a new mixer API that uses sysfs? ;)

johannes